# PetscMallocDebug

Turns on/off debugging for the memory management routines.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscMallocDebug(PetscTruth level)

Not Collective

### Input Parameter

level -PETSC_TRUE or PETSC_FALSE

### See Also

CHKMEMQ(), PetscMallocValidate()

Level:intermediate
Location: src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages